## org.apache.poi.hslf.extractor
Class ImageExtractor

    java.lang.Object
      org.apache.poi.hslf.extractor.ImageExtractor

    public final class ImageExtractor

extends java.lang.Object

Utility to extract pictures from a PowerPoint file.

Author:
  Yegor Kozlov

Constructor Summary
`ImageExtractor()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageExtractor

    public ImageExtractor()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.